Package org.opensaml.soap.wsaddressing

# Interface WSAddressingObjectBuilder<WSAddressingObjectType extends WSAddressingObject>

Type Parameters:
  `WSAddressingObjectType` - the type of object being built

All Superinterfaces:
  `XMLObjectBuilder<WSAddressingObjectType>`

All Known Implementing Classes:
  `AbstractWSAddressingObjectBuilder`, `ActionBuilder`, `AddressBuilder`, `EndpointReferenceBuilder`, `FaultToBuilder`, `FromBuilder`, `MessageIDBuilder`, `MetadataBuilder`, `ProblemActionBuilder`, `ProblemHeaderQNameBuilder`, `ProblemIRIBuilder`, `ReferenceParametersBuilder`, `RelatesToBuilder`, `ReplyToBuilder`, `RetryAfterBuilder`, `SoapActionBuilder`, `ToBuilder`

public interface WSAddressingObjectBuilder<WSAddressingObjectType extends WSAddressingObject> extends XMLObjectBuilder<WSAddressingObjectType>
WSAddressingObjectBuilder.

## Method Summary

Modifier and Type
Method
Description
`WSAddressingObjectType`
`buildObject()`
Builds a WS-Addressing object.

### Methods inherited from interface org.opensaml.core.xml.XMLObjectBuilder

`buildObject, buildObject, buildObject, buildObject, buildObject`

## Method Details

### buildObject

@Nonnull WSAddressingObjectType buildObject()
Builds a WS-Addressing object.

Returns:
  the built object